# $Revision: 1.27.2.2 $, $Date: 2007/02/14 16:19:09 $
Summary:	Pattern based drum machine
Summary(pl):	Automat perkusyjny
Name:		hydrogen
Version:	0.9.3
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/hydrogen/%{name}-%{version}.tar.gz
# Source0-md5:	d5840b5d330d433d00ea1727efb0fc7f
Source1:	%{name}.desktop
Patch0:		%{name}-gcc34.patch
Patch1:		%{name}-flac113.patch
Patch2:		%{name}-lib64.patch
URL:		http://www.hydrogen-music.org/
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	automake
BuildRequires:	flac-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.80.0
BuildRequires:	liblrdf-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	qmake
BuildRequires:	qt-devel >= 3.2.1
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hydrogen is a "free" pattern based drum machine for GNU/Linux. The
application goal is to allow the simple and fast creation of rhythmic
patterns.

%description -l pl
Hydrogen jest "wolnym" automatem perkusyjnym opartym o paterny dla
GNU/Linuksa. Celem programu jest umoliwienie w prosty i szybki sposb
tworzenia paternw rytmicznych.

%package doc
Summary:	Hydrogen manual and tutorial
Summary(pl):	Podrcznik i tutorial Hydrogena
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Hydrogen manual and tutorial.

%description doc -l pl
Podrcznik i tutorial Hydrogena.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%if "%{_lib}" == "lib64"
%patch2 -p1
%endif

%build
export QTDIR=%{_prefix}
cp -f /usr/share/automake/config.sub admin

# don't run update-menus (WTF is that?)
sed -i -e 's|update-menus||' Makefile.in

# clean up CVS trash
find . -type d -name CVS -print | xargs rm -rf {} \;

%configure
%{__make} \
	CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/{man1,ru/man1},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

# clean up documentation
rm -f $RPM_BUILD_ROOT%{_datadir}/hydrogen/data/doc/*.{docbook,sh}
rm -f $RPM_BUILD_ROOT%{_datadir}/hydrogen/data/doc/img/*.h2song
rm -f $RPM_BUILD_ROOT%{_datadir}/hydrogen/data/i18n/*.{sh,ts}
rm -rf $RPM_BUILD_ROOT%{_datadir}/hydrogen/data/doc/man

install data/doc/man/C/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install data/doc/man/ru/*.1 $RPM_BUILD_ROOT%{_mandir}/ru/man1
install data/doc/img/Tutorial2.h2song \
	$RPM_BUILD_ROOT%{_datadir}/hydrogen/data/demo_songs
install data/img/gray/icon48.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/hydrogen.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*

%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so

%dir %{_datadir}/hydrogen
%dir %{_datadir}/hydrogen/data
%dir %{_datadir}/hydrogen/data/demo_songs

%{_datadir}/hydrogen/data/*.conf
%{_datadir}/hydrogen/data/*.h2song
%{_datadir}/hydrogen/data/*.wav
%{_datadir}/hydrogen/data/drumkits
%{_datadir}/hydrogen/data/img
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

# demo songs
%{_datadir}/hydrogen/data/demo_songs/GM_*.h2song
%{_datadir}/hydrogen/data/demo_songs/TR808kit-demo.h2song
%{_datadir}/hydrogen/data/demo_songs/tutorial_georgyporgy.h2song

# translations
%lang(de) %{_datadir}/hydrogen/data/i18n/%{name}.de.qm
%lang(es) %{_datadir}/hydrogen/data/i18n/%{name}.es.qm
%lang(fr) %{_datadir}/hydrogen/data/i18n/%{name}.fr.qm
%lang(hu) %{_datadir}/hydrogen/data/i18n/%{name}.hu_HU.qm
%lang(it) %{_datadir}/hydrogen/data/i18n/%{name}.it.qm
%lang(ja) %{_datadir}/hydrogen/data/i18n/%{name}.ja.qm
%lang(nl) %{_datadir}/hydrogen/data/i18n/%{name}.nl.qm
%lang(pl) %{_datadir}/hydrogen/data/i18n/%{name}.pl.qm
%lang(pt) %{_datadir}/hydrogen/data/i18n/%{name}.pt_BR.qm
%lang(ru) %{_datadir}/hydrogen/data/i18n/%{name}.ru.qm
%{_mandir}/man1/*.1*
%lang(ru) %{_mandir}/ru/man1/*.1*

%files doc
%defattr(644,root,root,755)
%dir %{_datadir}/hydrogen/data/doc
%dir %{_datadir}/hydrogen/data/doc/img

# demo songs
%{_datadir}/hydrogen/data/demo_songs/Tutorial2.h2song

# images
%lang(nl) %{_datadir}/hydrogen/data/doc/img/nl/*.png
%{_datadir}/hydrogen/data/doc/img/*.png
%{_datadir}/hydrogen/data/doc/img_tutorial
%{_datadir}/hydrogen/data/doc/infoSplash

# multilang manual & tutorial
%lang(de) %{_datadir}/hydrogen/data/doc/manual_de.html
%lang(es) %{_datadir}/hydrogen/data/doc/manual_es.html
%lang(fr) %{_datadir}/hydrogen/data/doc/manual_fr.html
%lang(fr) %{_datadir}/hydrogen/data/doc/tutorial_fr.html
%lang(it) %{_datadir}/hydrogen/data/doc/manual_it.html
%lang(it) %{_datadir}/hydrogen/data/doc/tutorial_it.html
%lang(nl) %{_datadir}/hydrogen/data/doc/manual_nl.html
%{_datadir}/hydrogen/data/doc/manual.html
%{_datadir}/hydrogen/data/doc/manual_en.html
%{_datadir}/hydrogen/data/doc/tutorial_en.html

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hydrogen.spec,v $
Revision 1.27.2.2  2007/02/14 16:19:09  hawk
- fix build on amd64

Revision 1.27.2.1  2007/02/14 12:57:19  hawk
- merged flac 1.1.3 fixes from HEAD

Revision 1.27  2007/01/26 17:01:00  glen
- new URL

Revision 1.26  2006/05/22 21:19:42  freetz
- 0.9.3, updated file list

Revision 1.25  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.24  2005/11/13 16:40:38  darekr
- BR: sed 4.0

Revision 1.23  2005/11/12 23:47:56  freetz
- package html file required by documentation browser

Revision 1.22  2005/11/12 23:17:48  charles
- BR: pkgconfig, qmake
- added russian man page

Revision 1.21  2005/11/12 23:03:24  freetz
- pl fix

Revision 1.20  2005/11/12 22:56:16  freetz
- use included icon

Revision 1.19  2005/11/12 22:23:40  freetz
- 0.9.2, doc subpackage (with tons of install cleanups)

Revision 1.18  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.17  2004/11/29 22:43:58  freetz
- 0.9.1, removed audiofile BR, STBR

Revision 1.16  2004/11/12 17:28:56  paladine
- rel 4 for fixed desktop file

Revision 1.15  2004/11/05 00:06:27  qboosh
- BR: automake, removed double CXXFLAGS

Revision 1.14  2004/11/04 23:45:32  ankry
- for amd64

Revision 1.13  2004/11/04 23:07:01  krolik
- amd64 (config.sub), rel 3

Revision 1.12  2004/11/04 21:42:16  freetz
- release 2, STBR

Revision 1.11  2004/10/13 14:10:56  deejay1
- updated to 0.9.0

Revision 1.10  2004/07/18 22:15:19  freetz
- 0.8.2
- gcc34, ui fixes (patches)
- BR liblrdf-devel

Revision 1.9  2004/05/13 17:24:02  ankry
- spaces -> tabs, other cosmetics

Revision 1.8  2004/03/18 18:14:39  grzegol
- added epoch to audiofile requires

Revision 1.7  2004/01/09 19:03:55  qboosh
- missing dirs

Revision 1.6  2004/01/09 16:46:39  freetz
- md5

Revision 1.5  2004/01/09 16:44:11  freetz
- 0.8.1
- no longer depends on libhydrogen - merged into hydrogen tree
- %%files updated

Revision 1.4  2003/10/26 21:26:01  freetz
- added missing dir

Revision 1.3  2003/10/26 17:56:54  ankry
- added 48x48 icon

Revision 1.2  2003/10/26 17:43:50  ankry
- removed duplicated file entries

Revision 1.1  2003/10/26 16:52:47  freetz
- initial PLD release
